using System;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int[] zarade = new int[N];
            double[] procenti = new double[N];
            string[] ulazi;
            for (int i = 0; i < N; i++)
            {
                ulazi = Console.ReadLine().Split();
                zarade[i] = int.Parse(ulazi[0]);
                procenti[i] = double.Parse(ulazi[1]);
            }
            double profit;
            double maxProfit = 0;
            double porez = 0;
            for (int i = 0; i < N; i++)
            {
                profit = 0;
                for (int j = 0; j < N; j++)
                {
                    if (procenti[i]<=procenti[j])
                    {
                        profit += zarade[j] * (procenti[i] / 100);
                    }
                }
                if(profit>maxProfit)
                {
                    porez = procenti[i];
                    maxProfit = profit;
                }
            }
            Console.WriteLine(maxProfit);
        }
    }
}